package org.springblade.system.service;


import org.springblade.common.core.domain.R;
import org.springblade.common.core.domain.entity.SysEncryType;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/10 - 10:30
 */
public interface ISysEncryTypeService {
    List<SysEncryType> selectSysEncryTypeList(SysEncryType sysEncryType);

    R edit(SysEncryType sysEncryType);

    R add(SysEncryType sysEncryType);

    Integer del(SysEncryType sysEncryType);



    List<SysEncryType> selectSysEncryTypeListFile(SysEncryType sysEncryType);

    R addFile(SysEncryType sysEncryType);

    R editFile(SysEncryType sysEncryType);

    Integer delFile(SysEncryType sysEncryType);
}
